

net/bluetooth/l2cap.c: In function `__l2cap_get_sock_by_psm':
net/bluetooth/l2cap.c:203: warning: `sk' might be used uninitialized in this function
net/bluetooth/rfcomm/sock.c: In function `__rfcomm_get_sock_by_addr':
net/bluetooth/rfcomm/sock.c:117: warning: `sk' might be used uninitialized in this function
net/bluetooth/rfcomm/sock.c: In function `__rfcomm_get_sock_by_channel':
net/bluetooth/rfcomm/sock.c:134: warning: `sk' might be used uninitialized in this function


 net/bluetooth/l2cap.c       |    2 +-
 net/bluetooth/rfcomm/sock.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN net/bluetooth/l2cap.c~bluetooth-warning-fixes net/bluetooth/l2cap.c
--- 25/net/bluetooth/l2cap.c~bluetooth-warning-fixes	2003-08-26 13:41:07.000000000 -0700
+++ 25-akpm/net/bluetooth/l2cap.c	2003-08-26 13:41:26.000000000 -0700
@@ -200,7 +200,7 @@ found:
  */
 static struct sock *__l2cap_get_sock_by_psm(int state, u16 psm, bdaddr_t *src)
 {
-	struct sock *sk, *sk1 = NULL;
+	struct sock *sk = NULL, *sk1 = NULL;
 	struct hlist_node *node;
 
 	sk_for_each(sk, node, &l2cap_sk_list.head) {
diff -puN net/bluetooth/rfcomm/sock.c~bluetooth-warning-fixes net/bluetooth/rfcomm/sock.c
--- 25/net/bluetooth/rfcomm/sock.c~bluetooth-warning-fixes	2003-08-26 13:41:07.000000000 -0700
+++ 25-akpm/net/bluetooth/rfcomm/sock.c	2003-08-26 13:41:50.000000000 -0700
@@ -114,7 +114,7 @@ static void rfcomm_sk_state_change(struc
 /* ---- Socket functions ---- */
 static struct sock *__rfcomm_get_sock_by_addr(u8 channel, bdaddr_t *src)
 {
-	struct sock *sk;
+	struct sock *sk = NULL;
 	struct hlist_node *node;
 
 	sk_for_each(sk, node, &rfcomm_sk_list.head) {
@@ -131,7 +131,7 @@ static struct sock *__rfcomm_get_sock_by
  */
 static struct sock *__rfcomm_get_sock_by_channel(int state, u8 channel, bdaddr_t *src)
 {
-	struct sock *sk, *sk1 = NULL;
+	struct sock *sk = NULL, *sk1 = NULL;
 	struct hlist_node *node;
 
 	sk_for_each(sk, node, &rfcomm_sk_list.head) {

_
